using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IpcLibrary.Core {
    /// <summary>
    /// 序列化器接口
    /// </summary>
    public interface IMessageSerializer {
        byte[] Serialize(object obj);
        T Deserialize<T>(byte[] data);
        object Deserialize(byte[] data, Type type);
    }
}
